# DEX Interaction Library for Base Network

A Python library for interacting with Decentralized Exchanges (DEXes) on the Base network.

Repository: [https://github.com/atomic-235/dex](https://github.com/atomic-235/dex)

## Overview

This library provides tools and utilities for interacting with various decentralized exchanges on the Base network. It supports operations such as querying prices, executing trades, and managing liquidity positions.

## Installation

```bash
pip install dexlib
```

## Getting Started

1. Clone the repository
2. Install the required dependencies:
   ```bash
   pip install -r requirements.txt
   ```
3. Set up your environment variables in `.env` file
4. Import and use the library in your project

## Testing

The project includes a test suite. To run the tests:

```bash
pytest tests/
```

## License

This project is licensed under the MIT License.
